* {
    box-sizing: border-box;
}

html {
  overflow-y: scroll;
}

body {
    padding: 0;
    margin: 0;
    font-family: Arial, sans-serif;
    overflow-x: hidden;
}

.featured-products {
    padding: 40px 20px;
    max-width: 1200px;
    margin: auto;
}

.featured-products h2 {
    text-align: center;
    margin-bottom: 30px;
    letter-spacing: 2px;
}

.product-grid {
    padding-top: 50px;
    padding-bottom: 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.product-card {
    background: #fff;
    border-radius: 6px;
    overflow: hidden;
    text-align: center;
    position: relative;
    border: 1px solid rgb(194, 194, 194);
}

.product-card {
    transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.product-card:hover {
    transform: translateY(-12px);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.521);
}

.product-card img {
    max-width: 100%;
    height: auto;
    display: block;
}

.product-card h2 {
    font-weight: bold;
}

.product-card h3 {
    font-size: 16px;
    margin: 15px 10px 5px;
}

.price {
    font-size: 14px;
    margin-bottom: 15px;
    color: rgb(46, 46, 46);
}

.product-card button {
    margin-bottom: 20px;
    padding: 10px 20px;
    border: none;
    background-color: #000000;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
}

.product-card button:hover {
    background-color: #e94a0b;
}

.featured-title {
  position: relative;
  height: 300px;
  width: 100vw;
  margin-left: calc(-50vw + 50%);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 40px;
}

.featured-title::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: linear-gradient(to bottom, #1f1f1f, #000000);
}

.featured-title span {
  position: relative;
  z-index: 1;
  font-size: 40px;
  font-weight: 800;
  letter-spacing: 5px;
  color: #ffffff;
}
